Hacking SSBU System Update Required....???

Lubbo

GBAtemp Veteran Resurgence
OP
Member
Joined
Oct 16, 2008
Messages
925
Trophies
0
Age
27
Location
Melbourne
XP
404
Country
Australia
Hi guys... So I have been trying to update my Super Smash Bros Ultimate but I am running into problems.

So my console is on firmware version 10.2.0 - updated via choidoijour

I have installed SSBU nsp base then installed the 10.1.0 update and now when I try launch the game it says:
A system update is required in order to use this software....

My understanding was 10.2 can run 10.1 SSBU???!

I am using SXOS 3.1.0

Please assist I just want to play smash again.... my girlfriend is losing it.
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,411
Trophies
1
Age
33
XP
2,459
Country
United States
Sorry Lubb im in the same boat unfortunately the latest SSBU requires 11.1+. I say this b/c I usually downgrade new content to work on 11.0 which did work for awhile when Sephiroth was released, but now the latest Update-DLC(Pyra/Mythra) SSBU cannot be played on 11.0 sxos. Your only free options are Atmosphere or Yuzu. I bought the game + all season pass on my sysnand so that too could be another great option
 

Draxzelex

Well-Known Member
Member
Joined
Aug 6, 2017
Messages
16,637
Trophies
1
Age
27
Location
New York City
XP
11,218
Country
United States
Hi guys... So I have been trying to update my Super Smash Bros Ultimate but I am running into problems.

So my console is on firmware version 10.2.0 - updated via choidoijour

I have installed SSBU nsp base then installed the 10.1.0 update and now when I try launch the game it says:
A system update is required in order to use this software....

My understanding was 10.2 can run 10.1 SSBU???!

I am using SXOS 3.1.0

Please assist I just want to play smash again.... my girlfriend is losing it.
I don't know how you updated with ChoiDujour since it only supports up to firmware 6.2 but you can use a homebrew application by the name of Daybreak to update your firmware.
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,411
Trophies
1
Age
33
XP
2,459
Country
United States
Im new here but i am confused if there is a way to bypass the need for update other than updating the console
If you are on Atmosphere updating is fine. Its only SXOS users that need a bypass. But wont work every time Nintendo pushes a new Firmware. Sora's DLC will require a new update for sure
 

Sundayninja

Member
Newcomer
Joined
Oct 18, 2021
Messages
5
Trophies
0
Age
31
XP
5
Country
United States
If you are on Atmosphere updating is fine. Its only SXOS users that need a bypass. But wont work every time Nintendo pushes a new Firmware. Sora's DLC will require a new update for sure
I tried to add that dlc pack and i upgraded atmosphere to 1.1.1 and my co sole to 13.0 and everything else is fine but ssbu wont load now
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,411
Trophies
1
Age
33
XP
2,459
Country
United States
I tried to add that dlc pack and i upgraded atmosphere to 1.1.1 and my co sole to 13.0 and everything else is fine but ssbu wont load
I tried to add that dlc pack and i upgraded atmosphere to 1.1.1 and my co sole to 13.0 and everything else is fine but ssbu wont load now
Not sure what to tell ya sounds like the dlc's you installed aren't compatible. I dont even see Sora's dlc yet within my reliable source, which only releases legit/safe dlc dumps. Also SSBU needs the latest update aswell (v1703936)
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,411
Trophies
1
Age
33
XP
2,459
Country
United States
This ain't a law. Sometimes even Nintendo releases updates compiled with lower SDK versions.
So can anyone confirm whether the update works on 11.0.0 or not?
Yeah I knew that ever since I started using nscbuilder in 2019 lol. Im just stating Smash has a new update for the dlc to work

Also the latest update v1703936 (downgraded) works on 11.0 sxos + all dlc, just tested this myself with SAK tool. Just dont merge the update and the dlc to the xci tho, b/c it cant be read error will pop up need to install them manually through the sxos album. Sora is basically included in the update
 
Last edited by MasterJ360,

lordelan

Well-Known Member
Member
Joined
Jan 4, 2015
Messages
5,229
Trophies
1
Age
41
XP
4,933
Country
Germany
Yeah I knew that ever since I started using nscbuilder in 2019 lol. Im just stating Smash has a new update for the dlc to work

Also the latest update v1703936 (downgraded) works on 11.0 sxos + all dlc, just tested this myself with SAK tool. Just dont merge the update and the dlc to the xci tho, b/c it cant be read error will pop up need to install them manually through the sxos album. Sora is basically included in the update
Yeah I know that the updates contain everything and the DLCs only "unlock" it for the user.
So if I gather a recent keys.txt and patch it, it will run on 11.0.0? Nice to know, thanks.
 
  • Like
Reactions: MasterJ360
General chit-chat
Help Users
    Veho @ Veho: https://i.imgur.com/fap39PL.mp4